#################################################
#
#  (C) 2013 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### librsyncplugin (kpart) ####################

tde_add_kpart( librsyncplugin AUTOMOC
  SOURCES rsyncplugin.cpp
  LINK konq-shared tdersync-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( )


##### other data ################################

install( FILES rsyncplugin.rc rsync_plugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqiconview/kpartplugins
)

install( FILES rsyncplugin.rc rsync_plugin.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqlistview/kpartplugins
)

install( FILES rsyncplugin.desktop
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
)
